### Method

# AppStreamCompose Result has_hint

#### Declaration [src]

    gboolean
    asc_result_has_hint (
      AscResult* result,
      AsComponent* cpt,
      const gchar* tag
    )

#### Description [src]

Test if a hint tag is associated with a given component in this result.

#### Parameters

`cpt`

  Type: `AsComponent`

  The `AsComponent` to check.

  The data is owned by the caller of the method.

`tag`

  Type: `const gchar*`

  The hint tag to check for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if a hint with this tag exists for the selected component.